NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Mechatronics.PointOnCurveJointCollection Class Reference

Represents a collection of PointOnCurve Joint. More...

Inheritance diagram for NXOpen.Mechatronics.PointOnCurveJointCollection:

Public Member Functions

NXOpen.Mechatronics.PointOnCurveJoint[] ToArray ()
 Returns an array of NXOpen.Mechatronics.PointOnCurveJoint objects. More...
 
unsafe
NXOpen.Mechatronics.PointOnCurveJointBuilder 
CreatePointOnCurveJointBuilder (NXOpen.Mechatronics.PointOnCurveJoint joint)
 Creates a NXOpen.Mechatronics.PointOnCurveJointBuilder . More...
 
unsafe
NXOpen.Mechatronics.PointOnCurveJoint 
FindObject (string name)
 Finds the NXOpen.Mechatronics.PointOnCurveJoint with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of PointOnCurve Joint.

To obtain an instance of this class, refer to NXOpen.Mechatronics.PhysicsManager

Created in NX9.0.0

Member Function Documentation

unsafe NXOpen.Mechatronics.PointOnCurveJointBuilder NXOpen.Mechatronics.PointOnCurveJointCollection.CreatePointOnCurveJointBuilder ( NXOpen.Mechatronics.PointOnCurveJoint  joint)

Creates a NXOpen.Mechatronics.PointOnCurveJointBuilder .

Created in NX9.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
jointNXOpen.Mechatronics.PointOnCurveJoint to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
override int NXOpen.Mechatronics.PointOnCurveJointCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Mechatronics.PointOnCurveJoint NXOpen.Mechatronics.PointOnCurveJointCollection.FindObject ( string  name)

Finds the NXOpen.Mechatronics.PointOnCurveJoint with the given name.

An exception will be thrown if no object can be found with given name.

Created in NX9.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
nameThe name of the NXOpen.Mechatronics.PointOnCurveJoint .
Returns
NXOpen.Mechatronics.PointOnCurveJoint with this name.
NXOpen.Mechatronics.PointOnCurveJoint [] NXOpen.Mechatronics.PointOnCurveJointCollection.ToArray ( )

Returns an array of NXOpen.Mechatronics.PointOnCurveJoint objects.

Property Documentation

Tag NXOpen.Mechatronics.PointOnCurveJointCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.